      SUBROUTINE MAP_STEEL_SUPER4(S,SUMVAC,A,Y,V,F,B,C,M,UTS20,
     &UTS650,UTS760,UTS871,UTS982)
Copyright S. Atamert and H. K. D. H. Bhadeshia
C University of Cambridge, 1990
C
C     Nickel base superalloys
C     Phase chemistries, mechanical properties
C     S(I)= wt. % of alloying elements
C     K(I)= atomic weights
C     A(I)= atomic %
C     Y(I)= atomic % in gamma prime
C     V(I)= atomic % in gamma
C     X= Al by gamma prime surface equation
C     B= gamma prime lattice parameter
C     C= gamma lattic parameter
C     M= % lattice misfit
C     F= volume fraction of gamma prime
C     T= expansion coefficient
C           Ni Cr Mo Al Ti Co W Ta
C
C
      IMPLICIT NONE
      DOUBLE PRECISION A(8),V(8),Y(8),K(8),S(8),P(8),VAC(8),
     &AS(8)
      DOUBLE PRECISION SUMVAC,UTS20,UTS650,UTS760,UTS871
      DOUBLE PRECISION UTS982,F,B,C,M,T,SUMI,X,DAL,DALO
      DOUBLE PRECISION FO,SSS,OVERS,PS,LATMIS
      INTEGER ID,I,IN
               P(1)=0.66
               P(2)=4.66
               P(3)=4.66
               P(4)=7.66
               P(5)=6.66
               P(6)=1.71
               P(7)=4.66
               P(8)=4.66
               K(1)=58.71
               K(2)=51.996
               K(3)=95.94
               K(4)=26.9815
               K(5)=47.90
               K(6)=58.9332
               K(7)=183.85
               K(8)=180.947
23    CALL RCOMP4(S,ID,0)
             AS(1)=S(1)
             AS(2)=S(2)
             AS(3)=S(3)
             AS(4)=S(4)
             AS(5)=S(5)
             AS(6)=S(6)
             AS(7)=S(7)
             AS(8)=S(8)
201   CALL DDTA4(AS,S,ID)
      T=(14.378+(0.0123*S(6)+0.0284*S(2)
     &-0.1012*S(3)-0.0520*S(7)
     &-0.1280*S(5)-0.0214*S(4)-0.0165*S(8)))*1.0D-06
          DO 10 I=1,8
          A(I)=S(I)/K(I)
 10       CONTINUE
      SUMI=A(1)+A(2)+A(3)+A(4)+A(5)+A(6)+A(7)+A(8)
          DO 15 I=1,8
          A(I)=A(I)/SUMI
          A(I)=A(I)*100
 15       CONTINUE
      IF(S(4) .LT. 1.0D-02 .AND. S(5) .LT. 1.0D-02) THEN
        F=0.0D+00
        GOTO 4
      ENDIF
      F=0.003
4     IN=1
5         Y(2)=A(2)/(F+(1.0-F)*7.3737)
          Y(3)=A(3)/(F+(1.0-F)*3.9932)
          Y(4)=A(4)/(F+(1.0-F)*0.2413)
          Y(5)=A(5)/(F+(1.0-F)*0.1955)
          Y(6)=A(6)/(F+(1.0-F)*2.652)
          Y(7)=A(7)/(F+(1.0-F)*1.7615)
          Y(8)=A(8)/(F+(1.0-F)*0.2049)
          Y(1)=100-(Y(2)+Y(3)+Y(4)+Y(5)+Y(6)+Y(7)+Y(8))
      X=24.0484-(0.5765*Y(2))-(1.1096*Y(3))-(0.9016*Y(5))-(0.0292*Y(6))
      X=X-(1.0567*Y(7))-(1.1123*Y(8))
      DAL=X-Y(4)
      IF (DABS(DAL) .LT. 0.001) GOTO 50
      IF (IN .EQ. 2) GOTO 48
      IF(F .EQ. 0.0D+00)GOTO 50
      DALO=DAL
      FO=F
      F=F+0.0001
      IN=IN+1
      GOTO 5
48    F=F-0.0001*DAL/(DAL-DALO)
      GOTO 4
50    V(2)=Y(2)*7.3737
      V(3)=Y(3)*3.9932
      V(4)=Y(4)*0.2413
      V(5)=Y(5)*0.1955
      V(6)=Y(6)*2.702
      V(7)=Y(7)*0.552
      V(8)=Y(8)*0.261
      V(1)=100-(V(2)+V(3)+V(4)+V(5))
      B=(3.5208+(4.35E-3*Y(3)+1.20E-3*Y(2)+
     &1.85E-3*Y(4)+3.40E-3*Y(5)
     &+0.2E-3*Y(6)+4.12E-3*Y(7)+6.3E-3*Y(8)))*0.1
      C=(3.5240+(4.35E-3*V(3)+1.20E-3*V(2)+
     &1.85E-3*V(4)+3.40E-3*V(5)
     &+0.2E-3*V(6)+4.12E-3*V(7)+6.3E-3*V(8)))*0.1
      SSS=-12.36+2.60*Y(6)-1.42*Y(2)-1.35*Y(3)+2.75*Y(7)
      OVERS=-106.42+1.58*Y(6)+1.43*Y(2)+4.70*Y(3)+7.45*Y(7)
     &+5.79*Y(4)+6.76*Y(5)+11.27*Y(8)
      PS=OVERS-SSS
      OVERS=9.08*OVERS
      SSS=9.08*SSS
      PS=9.08*PS
      IF(F .LE. 0.0D+00) GOTO 321
      M=((B-C)/B)*100
321   DO 300 I=1,8
      VAC(I)=V(I)/100*P(I)
      SUMVAC=VAC(1)+VAC(2)+VAC(3)+VAC(4)+VAC(5)+VAC(6)+
     +VAC(7)+VAC(8)
300   CONTINUE
      UTS20=461.9+12.91*S(2)+2.473*S(6)+15.85*S(3)+9.621*S(7)
     &+26.95*S(8)+34.44*S(4)+32.51*S(5)
      UTS650=148.2+11.39*S(2)+4.088*S(6)+14.82*S(3)+11.80*S(7)
     &+29.21*S(8)+82.19*S(4)+61.05*S(5)
      UTS760=96.52+12.16*S(2)+1.008*S(6)+20.40*S(3)+15.19*S(7)
     &+33.17*S(8)+88.68*S(4)+58.29*S(5)
      UTS871=56.53+5.184*S(2)+2.559*S(6)+23.87*S(3)+12.93*S(7)
     &+28.21*S(8)+84.14*S(4)+37.96*S(5)
      UTS982=37.23-3.992*S(2)-0.0091*S(6)-0.55*S(3)+6.53*S(7)
     &+20.05*S(8)+67.91*S(4)+42.92*S(5)
      IF(UTS760 .LT. 0.0D+00)UTS760=0.0D+00
      IF(UTS871 .LT. 0.0D+00)UTS871=0.0D+00
      IF(UTS982 .LT. 0.0D+00)UTS982=0.0D+00
      LATMIS=1.216-0.00202*S(1)+3.697D-3*S(2)+1.09D-1*S(3)
     &+0.7708D-1*S(4)
     &-0.4055D-1*S(5)-6.479D-3*S(6)-3.787D-3*S(7)-3.563D-3*S(8)
C
C
200   RETURN
      END
